GET /api/v1/cloud/vaults/{vault_id}/credentials/{credential_id}
获取单个 Vault credential。响应永远不会返回密文。
路径参数
请求头
示例请求
示例响应
HTTP 200 OK错误码
完整错误信封说明详见 错误参考。
相关
Vaults
安全地存储凭据并注入到 Agent Session。
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
获取单个 Vault credential。
GET /api/v1/cloud/vaults/{vault_id}/credentials/{credential_id}
获取单个 Vault credential。响应永远不会返回密文。
| 参数 | 类型 | 说明 |
|---|---|---|
vault_id | string | 以 vault_ 为前缀的 Vault ID |
credential_id | string | 以 vcred_ 为前缀的 Credential ID |
| 头部 | 必选 | 说明 |
|---|---|---|
Authorization | 是 | Bearer <PAT> |
curl -X GET "https://api.qoder.com/api/v1/cloud/vaults/vault_019e3bb940277f0db05ab74291acf6ef/credentials/vcred_019e3bb98877759e862750b495c1fce8" \
-H "Authorization: Bearer $QODER_PAT"
{
"id": "vcred_019e3bb98877759e862750b495c1fce8",
"type": "vault_credential",
"vault_id": "vault_019e3bb940277f0db05ab74291acf6ef",
"auth": {
"type": "static_bearer",
"mcp_server_url": "https://example.com/mcp-stream"
},
"display_name": null,
"metadata": {
"team": "docs"
},
"archived_at": null,
"created_at": "2026-05-18T15:34:35.387093Z",
"updated_at": "2026-05-18T15:34:35.387093Z"
}
| HTTP | type | 触发条件 |
|---|---|---|
| 401 | authentication_error | 缺少或无效的认证令牌 |
| 404 | not_found_error | Vault 或 credential 不存在 |